FreeMat

- Main Page
- Related Pages

vtkContourValues

Section: Visualization Toolkit Common Classes

# Usage

vtkContourValues is a general class to manage the creation, generation, and retrieval of contour values. This class serves as a helper class for contouring classes, or those classes operating on lists of contour values.

To create an instance of class vtkContourValues, simply invoke its constructor as follows

      obj = vtkContourValues

# Methods

The class vtkContourValues has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkContourValues class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkContourValues = obj.NewInstance ()`
- `vtkContourValues = obj.SafeDownCast (vtkObject o)`
- `obj.SetValue (int i, double value)` - Set the ith contour value.
- `double = obj.GetValue (int i)` - Get the ith contour value. The return value will be clamped if the index i is out of range.
- `obj.GetValues (double contourValues)` - Fill a supplied list with contour values. Make sure you've allocated memory of size GetNumberOfContours().
- `obj.SetNumberOfContours (int number)` - Set the number of contours to place into the list. You only really need to use this method to reduce list size. The method SetValue() will automatically increase list size as needed.
- `int = obj.GetNumberOfContours ()` - Return the number of contours in the
- `obj.GenerateValues (int numContours, double range[2])` - Generate numContours equally spaced contour values between specified range. Contour values will include min/max range values.
- `obj.GenerateValues (int numContours, double rangeStart, double rangeEnd)` - Generate numContours equally spaced contour values between specified range. Contour values will include min/max range values.